import time
import pymysql
import random
import traceback
from log_settings import *
import logging
from auto_request import login, click, time_convs
from auto_request import host, user, db, passwd


def get_data(numtime, numtime2):
    try:
        pc = pymysql.connect(host=host, user=user, passwd=passwd, db=db, port=3306)
        cursor = pc.cursor()
        cursor.execute(
            "SELECT  distinct(user_id)  FROM topic WHERE is_online=1 and content_level in (4,5,6)  and (create_time >= '%s' and create_time <= '%s')" % (
                numtime, numtime2))
        data = cursor.fetchall()
        topic_id = list(data)
        topic_id_list = []
        for i in topic_id and topic_id:
            cursor.execute(
                "select user_id,is_shadow from user_extra where user_id =" + str(
                    i[0]) + " and is_online =1 and  is_deleted =0")
            data = cursor.fetchall()
            user_id = list(data)
            if (user_id and user_id[0][1] == 0) or len(user_id) == 0:
                topic_id_list.append(i)
        logging.info("Database version : %s " % topic_id_list)
        pc.close()
        return topic_id_list
    except:
        logging.error("catch exception,get_data:%s" % traceback.format_exc())


if __name__ == "__main__":
    try:
        numtime, numtime2 = time_convs(1, 7)
        user_id = get_data(numtime, numtime2)
        dicts = {}
        logging.info("get user_id:%s" % user_id)
        for i in user_id:
            rand_num = random.randint(0, 1)
            if rand_num == 1:
                cook = login()
                if cook is not None:
                    click(cook, i[1])
    except:
        logging.error("catch exception,main:%s" % traceback.format_exc())
